package com.fuzamei.service.serviceImpl;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.fuzamei.constant.Roles;
import com.fuzamei.entity.Role;
import com.fuzamei.entity.User;
import com.fuzamei.mapperInterface.ReceivingClerkMapper;
import com.fuzamei.mapperInterface.UserMapper;
import com.fuzamei.service.UserService;
import com.fuzamei.util.PageDTO;

@Service
public class UserServiceImpl  implements  UserService {

	@Autowired
	private UserMapper userMapper;
	@Autowired
	private ReceivingClerkMapper receivingClerkMapper;
	
	/**
	 * 查询所有角色
	 */
	@Override
	public List<Role> getAllRoles() {
		return userMapper.getAllRoles();
	}
	
	/**
	 * 查看用户列表
	 */
	public PageDTO  queryUsers(Map<String, Object> map) {
		PageDTO pageDtO = new PageDTO();
		List<User> users = userMapper.queryUsers(map);
		int count = userMapper.queryUserscount(map);
		pageDtO.setTotal(count);
		pageDtO.setRows(users);
		 return pageDtO;
	}
	/**
	 * 添加用户信息 
	 */
	@Override
	@Transactional(rollbackFor=Exception.class)
	public  void insertUsers(User user){
		
		user.setCreateTime(System.currentTimeMillis());
		user.setUpdateTime(System.currentTimeMillis());
		userMapper.insertUsers(user);
		
	}
	

	/**
	 * 根据用户id查询用户是否存在
	 */
	@Override
	public List<User> findUserById(User user) {
		return userMapper.findUserById(user);
	}

	@Override
	public List<User> findUserByuserIdandusername(User user){
		return userMapper.findUserByuserIdandusername(user);
	}
	
	/**
	 * 根据u用户id  编辑修改，角色，账号，密码，名称，信息
	 */
	@Override
	@Transactional(rollbackFor=Exception.class)
	public void updateAccountByUserId(User user) {
		user.setUpdateTime(System.currentTimeMillis());
		userMapper.updateAccountByUserId(user);
	}
	
    /**
     * 批量删除
     */
	@Override
	@Transactional(rollbackFor=Exception.class)
	public void deleteFromUserId(String userIds) {
		String[] strs=userIds.split(",");
		userMapper.deleteFromUserId(strs);
	}


	
	
}
